OpenTTD

Static Public Attributes
ObjectAnimationBase Struct Reference

Helper class for animation control. More...

Inheritance diagram for ObjectAnimationBase:

## Static Public Attributes
static const CallbackID | cb_animation_speed = CBID_OBJECT_ANIMATION_SPEED
static const CallbackID | cb_animation_next_frame = CBID_OBJECT_ANIMATION_NEXT_FRAME
static const ObjectCallbackMask | cbm_animation_speed = CBM_OBJ_ANIMATION_SPEED
static const ObjectCallbackMask | cbm_animation_next_frame = CBM_OBJ_ANIMATION_NEXT_FRAME

## Additional Inherited Members
Static Public Member Functions inherited from AnimationBase< ObjectAnimationBase, ObjectSpec, Object, int, StubGetObjectCallback >
static void | AnimateTile (const ObjectSpec *spec, Object *obj, TileIndex tile, bool random_animation, int extra_data=0)
| Animate a single tile. More...
static void | ChangeAnimationFrame (CallbackID cb, const ObjectSpec *spec, Object *obj, TileIndex tile, uint32 random_bits, uint32 trigger, int extra_data=0)
| Check a callback to determine what the next animation step is and execute that step. More...

## Detailed Description

Helper class for animation control.

Definition at line 504 of file newgrf_object.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_object.cpp